---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: homer
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: home
  source:
    repoURL: 'https://gitlab.com/ers.net.ru/infra.git'
    targetRevision: main
    path: "argocd/home/homer"
  destination:
    name: in-cluster
    namespace: homer
  syncPolicy:
    syncOptions:
      - CreateNamespace=true